## gcovr 7.2%2Breally

=== gcovr/tests/coexisting_object_directories-from_build_dir-without_object_dir/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(gcovr_parallel_calls LANGUAGES CXX)

set(CMAKE_CXX_FLAGS_PROFILE --coverage)

add_executable(parallel_call)

target_sources (parallel_call
	PRIVATE
	source/fn_00.cpp
	source/fn_01.cpp
	source/fn_02.cpp
	source/fn_03.cpp
	source/fn_04.cpp
	source/fn_05.cpp
	source/fn_06.cpp
	source/fn_07.cpp
	source/fn_08.cpp
	source/fn_09.cpp
	source/main.cpp)

if(ODD)
	target_compile_definitions (parallel_call PRIVATE ODD)
endif()

=== gcovr/tests/coexisting_object_directories-from_root_dir/Makefile ===

build.%:
	mkdir -p build/$* && cmake -G "Ninja" -DCMAKE_BUILD_TYPE=PROFILE -S . -B build/$* -D ODD=$(if $(filter b,$*),OFF,ON)
	cmake --build build/$* -- -v

all: build.a build.b build.c

run: txt cobertura html sonarqube coveralls

coverage.%.json:
	cd build/$* && ./parallel_call
	$(GCOVR) --json-pretty --json $@ --object-directory=build/$* build/$*

coverage.%.txt: coverage.%.json
	$(GCOVR) -a $< -o $@

txt: coverage.a.txt coverage.b.txt coverage.c.txt

cobertura.%.xml: coverage.%.json
	$(GCOVR) -a $< --cobertura-pretty --cobertura $@

cobertura: cobertura.a.xml cobertura.b.xml cobertura.c.xml

coverage.%.html: coverage.%.json
	$(GCOVR) -a $< --html-details -o $@

html: coverage.a.html coverage.b.html coverage.c.html

coveralls.%.json: coverage.%.json
	$(GCOVR) -a $< --coveralls-pretty --coveralls $@

coveralls: coveralls.a.json coveralls.b.json coveralls.c.json

sonarqube.%.xml: coverage.%.json
		$(GCOVR) -a $< --sonarqube -o $@

sonarqube: sonarqube.a.xml sonarqube.b.xml sonarqube.c.xml

clean:
	rm -rf build
	rm -f run.*.done
	rm -f coverage.*.* cobertura.*.* sonarqube.*.* coveralls.*.*

=== gcovr/tests/html-title/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: html

# Use $$(...) to run the ls command in the shell.
# The $(shell ...) doesn't wotk here because it's evaluated befor running the executable
html:
	./testcase
	$(GCOVR) -d --verbose --html-details --html-title="Title of report" -o coverage.html $$(ls *.gcda)

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage*.html coverage.css

=== gcovr/tests/simple1-stdout/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase


run: txt lcov cobertura html jacoco json json_summary coveralls

txt:
	./testcase
	$(GCOVR) -d --txt > coverage.txt

lcov:
	./testcase
	$(GCOVR) -d --lcov > coverage.lcov

cobertura:
	./testcase
	$(GCOVR) -d -x > cobertura.xml

html:
	./testcase
	$(GCOVR) -d --html > coverage.html

jacoco:
	./testcase
	$(GCOVR) -d --jacoco-pretty --jacoco > jacoco.xml

json:
	./testcase
	$(GCOVR) -d --json-pretty --json > coverage.json

json_summary:
	./testcase
	$(GCOVR) -d --json-summary-pretty > summary_coverage.json

coveralls:
	./testcase
	$(GCOVR) -d --coveralls-pretty --coveralls > coveralls.json

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.txt coverage*.html jacoco.xml coverage.json summary_coverage.json cobertura.xml coveralls.json coverage.lcov

=== gcovr/tests/sort-uncovered/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC

all:
	$(CXX) $(CFLAGS) -c file1.cpp -o file1.o
	$(CXX) $(CFLAGS) -c file2.cpp -o file2.o
	$(CXX) $(CFLAGS) -c file3.cpp -o file3.o
	$(CXX) $(CFLAGS) -c file4.cpp -o file4.o
	$(CXX) $(CFLAGS) -c main.cpp -o main.o
	$(CXX) $(CFLAGS) main.o file1.o file2.o file3.o file4.o -o testcase

run: txt html

GCOVR_TEST_OPTIONS = --sort uncovered-number

coverage.json:
	./testcase
	$(GCOVR) --json-pretty --json $@

txt: coverage.json
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -a $< -o coverage.txt

html: coverage.json
	$(GCOVR) $(GCOVR_TEST_OPTIONS) -a $< --html-details -o coverage.html

clean:
	rm -f testcase
	rm -f *.gc* *.o
	rm -f coverage*.* cobertura*.* sonarqube*.*

## gcovr 7.2+really

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme
sphinxcontrib-autoprogram >= 0.1.5
rst2html5
jinja2
lxml
colorlog
pygments>=2.13.0

=== gcovr/tests/add_coverages/Makefile ===
CFLAGS= -fprofile-arcs -ftest-coverage -fPIC
export GCOVR_TEST_SUITE_NO_GIT_COMMAND := 1

all:
	$(CXX) $(CFLAGS) -c foo.cpp -o foo.o
	$(CXX) $(CFLAGS) -c bar.cpp -o bar.o
	$(CXX) $(CFLAGS) -DFOO -c main.cpp -o main_foo.o
	$(CXX) $(CFLAGS) main_foo.o foo.o -o testcase_foo
	$(CXX) $(CFLAGS) -DBAR -c main.cpp -o main_bar.o
	$(CXX) $(CFLAGS) main_bar.o bar.o -o testcase_bar

run: txt cobertura html sonarqube jacoco json json_summary coveralls

# Enable JSON output via the --json-pretty --json mode.
# However, this option cannot take a filename directly
# so that "-o" is used.
coverage_foo.json:
	./testcase_foo
	$(GCOVR) -d --json-pretty -o $@

# Just use --json-pretty and --json and pass the output filename directly.
coverage_bar.json: coverage_foo.json
	./testcase_bar
	$(GCOVR) -d --json-pretty --json $@

txt: coverage_foo.json coverage_bar.json
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json -o coverage.txt

cobertura: coverage_foo.json coverage_bar.json
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --cobertura-pretty --cobertura cobertura.xml

html: coverage_foo.json coverage_bar.json
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --html-details -o coverage.html

sonarqube: coverage_foo.json coverage_bar.json
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --sonarqube sonarqube.xml

jacoco: coverage_foo.json coverage_bar.json
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --jacoco jacoco.xml --jacoco-pretty

# Use both --json-pretty --json here
json: coverage_foo.json coverage_bar.json
	$(GCOVR) -a 'coverage_*.json' --json-pretty --json coverage.json

json_summary: coverage_foo.json coverage_bar.json
	$(GCOVR) -a 'coverage_*.json' --json-summary-pretty -o summary_coverage.json

coveralls: coverage_foo.json coverage_bar.json
	$(GCOVR) -a coverage_foo.json -a coverage_bar.json --coveralls-pretty --coveralls coveralls.json

clean:
	rm -f testcase_*
	rm -f *.gc*
	rm -f *.o
	rm -f coverage*.* cobertura*.* sonarqube*.* jacoco*.* summary_coverage.json coveralls.json

=== gcovr/tests/cmake_gtest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(gcovr_gtest)

  # This flags are used if cmake is called with -DCMAKE_BUILD_TYPE=PROFILE
  set(CMAKE_C_FLAGS_PROFILE --coverage)
  set(CMAKE_CXX_FLAGS_PROFILE --coverage)

  # GoogleTest requires at least C++14
  set(CMAKE_CXX_STANDARD 14)

  add_executable(
    gcovr_gtest
    test/test.cpp
    source/code.cpp
  )
  target_link_libraries(
    gcovr_gtest
    gtest
    pthread
  )

=== gcovr/tests/cmake_oos_ninja/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)

include(../cmake_oos/CMakeLists.txt)

=== gcovr/tests/coexisting_object_directories-from_build_dir-without_search_dir/Makefile ===

build.%:
	mkdir -p build/$* && cmake -G "Ninja" -DCMAKE_BUILD_TYPE=PROFILE -S . -B build/$* -D ODD=$(if $(filter b,$*),OFF,ON)
	cmake --build build/$* -- -v

all: build.a build.b build.c

run: txt cobertura html sonarqube coveralls

.NOTPARALLEL: coverage.a.json coverage.b.json coverage.c.json

coverage.%.json:
	$(eval base_dir := $(shell pwd))
	$(eval build_dir := $(base_dir)/build/$*)
	cd $(build_dir) && ./parallel_call
	cd $(build_dir) && GCOV_STRIP=99 GCOV_PREFIX=$(build_dir) $(GCOVR) --json-pretty --json $(base_dir)/$@ --object-directory=$(build_dir) --root $(base_dir)

coverage.%.txt: coverage.%.json
	$(GCOVR) -a $< -o $@

txt: coverage.a.txt coverage.b.txt coverage.c.txt

cobertura.%.xml: coverage.%.json
	$(GCOVR) -a $< --cobertura-pretty --cobertura $@

cobertura: cobertura.a.xml cobertura.b.xml cobertura.c.xml

coverage.%.html: coverage.%.json
	$(GCOVR) -a $< --html-details -o $@

html: coverage.a.html coverage.b.html coverage.c.html

coveralls.%.json: coverage.%.json
	$(GCOVR) -a $< --coveralls-pretty --coveralls $@

coveralls: coveralls.a.json coveralls.b.json coveralls.c.json

sonarqube.%.xml: coverage.%.json
		$(GCOVR) -a $< --sonarqube -o $@

sonarqube: sonarqube.a.xml sonarqube.b.xml sonarqube.c.xml

clean:
	rm -rf build
	rm -f run.*.done
	rm -f coverage.*.* cobertura.*.* sonarqube.*.* coveralls.*.*

=== gcovr/tests/coexisting_object_directories-from_build_dir/Makefile ===

build.%:
	mkdir -p build/$* && cmake -G "Ninja" -DCMAKE_BUILD_TYPE=PROFILE -S . -B build/$* -D ODD=$(if $(filter b,$*),OFF,ON)
	cmake --build build/$* -- -v

all: build.a build.b build.c

run: txt cobertura html sonarqube coveralls

coverage.%.json:
	$(eval base_dir := $(shell pwd))
	$(eval build_dir := $(base_dir)/build/$*)
	cd $(build_dir) && ./parallel_call
	cd $(build_dir) && $(GCOVR) --json-pretty --json $(base_dir)/$@ --object-directory=$(build_dir) --root $(base_dir) $(build_dir)

coverage.%.txt: coverage.%.json
	$(GCOVR) -a $< -o $@

txt: coverage.a.txt coverage.b.txt coverage.c.txt

cobertura.%.xml: coverage.%.json
	$(GCOVR) -a $< --cobertura-pretty --cobertura $@

cobertura: cobertura.a.xml cobertura.b.xml cobertura.c.xml

coverage.%.html: coverage.%.json
	$(GCOVR) -a $< --html-details -o $@

html: coverage.a.html coverage.b.html coverage.c.html

coveralls.%.json: coverage.%.json
	$(GCOVR) -a $< --coveralls-pretty --coveralls $@

coveralls: coveralls.a.json coveralls.b.json coveralls.c.json

sonarqube.%.xml: coverage.%.json
		$(GCOVR) -a $< --sonarqube -o $@

sonarqube: sonarqube.a.xml sonarqube.b.xml sonarqube.c.xml

clean:
	rm -rf build
	rm -f run.*.done
	rm -f coverage.*.* cobertura.*.* sonarqube.*.* coveralls.*.*

=== gcovr/tests/coexisting_object_directories-from_root_dir-without_object_dir/Makefile ===

build.%:
	mkdir -p build/$* && cmake -G "Ninja" -DCMAKE_BUILD_TYPE=PROFILE -S . -B build/$* -D ODD=$(if $(filter b,$*),OFF,ON)
	cmake --build build/$* -- -v

all: build.a build.b build.c

run: txt cobertura html sonarqube coveralls

.NOTPARALLEL: coverage.a.json coverage.b.json coverage.c.json

coverage.%.json:
	cd build/$* && ./parallel_call
	$(GCOVR) --json-pretty --json $@ build/$*

coverage.%.txt: coverage.%.json
	$(GCOVR) -a $< -o $@

txt: coverage.a.txt coverage.b.txt coverage.c.txt

cobertura.%.xml: coverage.%.json
	$(GCOVR) -a $< --cobertura-pretty --cobertura $@

cobertura: cobertura.a.xml cobertura.b.xml cobertura.c.xml

coverage.%.html: coverage.%.json
	$(GCOVR) -a $< --html-details -o $@

html: coverage.a.html coverage.b.html coverage.c.html

coveralls.%.json: coverage.%.json
	$(GCOVR) -a $< --coveralls-pretty --coveralls $@

coveralls: coveralls.a.json coveralls.b.json coveralls.c.json

sonarqube.%.xml: coverage.%.json
		$(GCOVR) -a $< --sonarqube -o $@

sonarqube: sonarqube.a.xml sonarqube.b.xml sonarqube.c.xml

clean:
	rm -rf build
	rm -f run.*.done
	rm -f coverage.*.* cobertura.*.* sonarqube.*.* coveralls.*.*

=== gcovr/tests/coexisting_object_directories-from_root_dir-without_search_dir/Makefile ===

build.%:
	mkdir -p build/$* && cmake -G "Ninja" -DCMAKE_BUILD_TYPE=PROFILE -S . -B build/$* -D ODD=$(if $(filter b,$*),OFF,ON)
	cmake --build build/$* -- -v

all: build.a build.b build.c

run: txt cobertura html sonarqube coveralls

.NOTPARALLEL: coverage.a.json coverage.b.json coverage.c.json

coverage.%.json:
	cd build/$* && ./parallel_call
	$(GCOVR) --verbose --json-pretty --json $@ --object-directory=build/$*

coverage.%.txt: coverage.%.json
	$(GCOVR) -a $< -o $@

txt: coverage.a.txt coverage.b.txt coverage.c.txt

cobertura.%.xml: coverage.%.json
	$(GCOVR) -a $< --cobertura-pretty --cobertura $@

cobertura: cobertura.a.xml cobertura.b.xml cobertura.c.xml

coverage.%.html: coverage.%.json
	$(GCOVR) -a $< --html-details -o $@

html: coverage.a.html coverage.b.html coverage.c.html

coveralls.%.json: coverage.%.json
	$(GCOVR) -a $< --coveralls-pretty --coveralls $@

coveralls: coveralls.a.json coveralls.b.json coveralls.c.json

sonarqube.%.xml: coverage.%.json
		$(GCOVR) -a $< --sonarqube -o $@

sonarqube: sonarqube.a.xml sonarqube.b.xml sonarqube.c.xml

clean:
	rm -rf build
	rm -f run.*.done
	rm -f coverage.*.* cobertura.*.* sonarqube.*.* coveralls.*.*

=== gcovr/tests/config-toml/Makefile ===
all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: html txt

html:
	./testcase
	rm -f *.toml
	cp config/pyproject.toml pyproject.toml
	$(GCOVR) ../

txt:
	./testcase
	rm -f *.toml
	sed -e 's/.*gcovr.*//' config/pyproject.toml > gcovr.toml
	$(GCOVR) --verbose ../

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage.* *.toml

=== gcovr/tests/coveralls-ci/Makefile ===

# Unset all supported CI's
unexport GCOVR_TEST_SUITE
export GCOVR_TEST_SUITE_NO_GIT_COMMAND := 1

unexport TRAVIS_JOB_ID
unexport APPVEYOR_URL
unexport JENKINS_URL
unexport GITHUB_ACTIONS
unexport GITHUB_HEAD_REF

all:
	$(CXX) -fprofile-arcs -ftest-coverage -fPIC main.cpp -o testcase

run: coveralls

coveralls: coveralls.stub.json coveralls.travis.json coveralls.appveyor.json coveralls.jenkins.json coveralls.github-actions.json coveralls.github-actions-pr.json
	# Pass

coverage.json:
	./testcase
	$(GCOVR) -d --json-pretty --json -o $@

coveralls.stub.json: export GCOVR_TEST_SUITE := 1
coveralls.stub.json: coverage.json
	$(GCOVR) --json-add-tracefile $< --coveralls-pretty --coveralls $@

coveralls.travis.json: export TRAVIS_JOB_ID := TRAVIS_JOB_ID
coveralls.travis.json: export TRAVIS_BUILD_NUMBER := TRAVIS_BUILD_NUMBER
coveralls.travis.json: export TRAVIS_PULL_REQUEST := 123
coveralls.travis.json: export TRAVIS_BRANCH := test_branch
coveralls.travis.json: export TRAVIS_COMMIT := TRAVIS_COMMIT
coveralls.travis.json: coverage.json
	$(GCOVR) --json-add-tracefile $< --coveralls-pretty --coveralls $@

coveralls.appveyor.json: export APPVEYOR_URL := APPVEYOR_URL
coveralls.appveyor.json: export APPVEYOR_JOB_ID := APPVEYOR_JOB_ID
coveralls.appveyor.json: export APPVEYOR_JOB_NUMBER := APPVEYOR_JOB_NUMBER
coveralls.appveyor.json: export APPVEYOR_REPO_COMMIT := APPVEYOR_REPO_COMMIT
coveralls.appveyor.json: export APPVEYOR_PULL_REQUEST_NUMBER := 123
coveralls.appveyor.json: export APPVEYOR_REPO_BRANCH := test_branch
coveralls.appveyor.json: coverage.json
	$(GCOVR) --json-add-tracefile $< --coveralls-pretty --coveralls $@

coveralls.jenkins.json: export JENKINS_URL := JENKINS_URL
coveralls.jenkins.json: export JOB_NAME := JOB_NAME
coveralls.jenkins.json: export BUILD_ID := BUILD_ID
coveralls.jenkins.json: export GIT_COMMIT := GIT_COMMIT
coveralls.jenkins.json: export CHANGE_ID := 123
coveralls.jenkins.json: export BRANCH_NAME := test_branch
coveralls.jenkins.json: coverage.json
	$(GCOVR) --json-add-tracefile $< --coveralls-pretty --coveralls $@

coveralls.github-actions.json: export GITHUB_ACTIONS := GITHUB_ACTIONS
coveralls.github-actions.json: export GITHUB_WORKFLOW := GITHUB_WORKFLOW
coveralls.github-actions.json: export GITHUB_RUN_ID := GITHUB_RUN_ID
coveralls.github-actions.json: export GITHUB_SHA := GITHUB_SHA
coveralls.github-actions.json: export GITHUB_REF := refs/head/test_branch
coveralls.github-actions.json: coverage.json
	$(GCOVR) --json-add-tracefile $< --coveralls-pretty --coveralls $@

coveralls.github-actions-pr.json: export GITHUB_ACTIONS := GITHUB_ACTIONS
coveralls.github-actions-pr.json: export GITHUB_WORKFLOW := GITHUB_WORKFLOW
coveralls.github-actions-pr.json: export GITHUB_RUN_ID := GITHUB_RUN_ID
coveralls.github-actions-pr.json: export GITHUB_SHA := GITHUB_SHA
coveralls.github-actions-pr.json: export GITHUB_HEAD_REF := refs/pull/123/merge
coveralls.github-actions-pr.json: export GITHUB_REF := test_branch
coveralls.github-actions-pr.json: coverage.json
	$(GCOVR) --json-add-tracefile $< --coveralls-pretty --coveralls $@

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage*.* coveralls.*.json

=== gcovr/tests/decisions-neg-delta/Makefile ===
all:
	$(CXX) -std=c++11 -fprofile-arcs -ftest-coverage -O0 main.cpp -o testcase

run: html txt json json_summary

coverage.json:
	./testcase
	$(GCOVR) --verbose --decisions --json-pretty --json -o coverage.json

json_summary: coverage.json
	$(GCOVR) --keep --verbose -a coverage.json --decisions --json-summary-pretty -o summary_coverage.json

html: coverage.json
	$(GCOVR) --verbose -a coverage.json --decisions --html-details -o coverage.html

txt: coverage.json
	$(GCOVR) --verbose -a coverage.json --txt-metric decision -o coverage.txt

json: coverage.json
	# pass

clean:
	rm -f testcase
	rm -f *.gc*
	rm -f coverage*.*

=== gcovr/tests/different-function-lines-use-max/Makefile ===

all:
	mkdir -p build1 build2
	cd build1 ; $(CXX) -fprofile-arcs -ftest-coverage -fPIC ../main.c -o testcase
	cd build2 ; $(CXX) -fprofile-arcs -ftest-coverage -fPIC -DFOO_OTHER_LINE ../main.c -o testcase

run: txt lcov cobertura html sonarqube coveralls

coverage.json:
	cd build1 ; ./testcase
	cd build2 ; ./testcase
	$(GCOVR) --verbose --merge-mode-functions=merge-use-line-max --json-pretty --json coverage.json

txt: coverage.json
	$(GCOVR) -a $< -o coverage.txt

lcov: coverage.json
	$(GCOVR) -a $< --lcov coverage.lcov

cobertura: coverage.json
	$(GCOVR) -a $< --cobertura-pretty --cobertura cobertura.xml

html: coverage.json
	$(GCOVR) -a $< --html-details -o coverage.html

coveralls: coverage.json
	$(GCOVR) -a $<  --coveralls-pretty --coveralls coveralls.json

sonarqube: coverage.json
	$(GCOVR) -a $< --sonarqube -o sonarqube.xml

clean:
	rm -rf build1 build2
	rm -f *.gc* coverage*.* cobertura*.* sonarqube*.* coveralls.json

=== debian/changelog ===
gcovr (7.2+really-2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083411)
  * Remove python3-importlib-metadata build dep
  * Use dh-sequence-python3
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop obsolete X-Python3-Version tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Mention debhelper-compat in d/control, drop d/compat

 -- Alexandre Detiste <tchet@debian.org>  Fri, 16 Jan 2026 23:58:32 +0100

gcovr (7.2+really-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Really use upstream version 7.2 (not 3.2 as was previously imported).
    In order to have a new upstream version we temporarily add `+really'.
    Closes: #1070172
  * Drop patch. Readme isn't copied anymore
  * d/control: Add new build dependencies

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 May 2024 15:43:35 +0200

=== debian/control ===
Source: gcovr
Section: devel
Maintainer: Wolfgang Silbermayr <wolfgang@silbermayr.at>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-sequence-python3,
 help2man,
 python3,
 python3-colorlog,
 python3-lxml,
 python3-setuptools,
Standards-Version: 4.7.3
Homepage: http://gcovr.com/
Vcs-Browser: https://salsa.debian.org/debian/gcovr
Vcs-Git: https://salsa.debian.org/debian/gcovr.git

Package: gcovr
Architecture: all
Depends:
 python3-colorlog,
 ${misc:Depends},
 ${python3:Depends},
Description: Manages the compilation of coverage information from gcov
 The gcovr command provides a utility for running the gcov command and
 summarizing code coverage results. This command is inspired by the
 Python coverage.py package, which provides a similar utility in
 Python. Further, gcovr can be viewed as a command-line alternative of
 the lcov utility, which runs gcov and generates an HTML output.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk

PYTHON3_VERSIONS = $(shell py3versions -r)
PYTHON3_DEFAULT_VERSION = $(shell py3versions -d)
pyalldo = set -e; $(foreach py, $(PYTHON3_VERSIONS), $(py) $(1);)

BIN_NAME = gcovr
BIN_DESCRIPTION = "generate simple coverage reports"

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_installman:
	PYTHONPATH=debian/gcovr/usr/lib/$(PYTHON3_DEFAULT_VERSION)/dist-packages \
	help2man \
		--name $(BIN_DESCRIPTION) \
		--no-info \
		--version-string $(DEB_VERSION_UPSTREAM) \
		--output debian/$(BIN_NAME).1 \
		debian/gcovr/usr/bin/gcovr

execute_after_dh_auto_clean:
	rm -rf build
	rm -rf *.egg-info

=== debian/watch ===
Version: 5

Template: GitHub
Owner: gcovr
Project: gcovr
